package web

import (
	"git.loafle.net/commons/server-go"
)

type ServerHandler interface {
	server.ServerHandler
	server.ConnectionHandler
}

type ServerHandlers struct {
	server.ServerHandlers
	server.ConnectionHandlers
}

func (sh *ServerHandlers) Validate() error {
	if err := sh.ServerHandlers.Validate(); nil != err {
		return err
	}
	if err := sh.ConnectionHandlers.Validate(); nil != err {
		return err
	}

	return nil
}
